#include <SoftwareSerial.h>

SoftwareSerial softSerial(8, 9); // RX, TX>

void setup(){

  Serial.begin(9600); // Обычная скорость передачи данных

  softSerial.begin(9600); // инициализация программного последовательного порта

}

void loop(){

// Проверяем получение команд от компьютера

  if (Serial.available()){

// Отправляем полученную команду компьютера на программный UART

    softSerial.write(Serial.read());
    String buffer = "";
    while(softSerial.available()) {
      buffer = buffer + char(softSerial.read());
    }
    Serial.println(buffer);

  }


}
